// Jason Brillante "Damdoshi"
// Hanged Bunny Studio 2014-2015
//
// SewerGlue

#include		"SewerGlue.hpp"

const sf::Color		hbs::SewerGlue::vic20palette[16] =
  {
    sf::Color(0, 0, 0),
    sf::Color(255, 255, 255),
    sf::Color(182, 31, 33),
    sf::Color(77, 240, 255),
    sf::Color(180, 63, 255),
    sf::Color(68, 226, 55),
    sf::Color(26, 52, 255),
    sf::Color(220, 215, 27),
    sf::Color(202, 84, 0),
    sf::Color(233, 176, 114),
    sf::Color(231, 146, 147),
    sf::Color(154, 247, 253),
    sf::Color(224, 159, 255),
    sf::Color(143, 228, 147),
    sf::Color(130, 144, 255),
    sf::Color(229, 222, 133)
  };

hbs::SewerGlue::SewerGlue(void)
  : chrono(30)
{}

hbs::SewerGlue::~SewerGlue(void)
{
  int			i;

  screen.close();
  for (i = FIRST_KLONDIKE; i < LAST_KLONDIKE; ++i)
    delete module[i];
}

